Bug 1251591 - audacity: xcb_io.c:179: dequeue_pending_request: Assertion `!xcb_xlib_unknown_req_in_deq' failed.
audacity: xcb_io.c:179: dequeue_pending_request: Assertion `!xcb_xlib_unknown...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
21
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: David Timms
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 16:19 EDT by Eric Christensen
Modified: 2015-12-22 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: audacity-2.1.2-0.7.rc1.fc22 audacity-2.1.2-0.7.rc1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-05 00:25:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Christensen 2015-08-07 16:19:16 EDT
Description of problem: audacity crashes with the following output:

$ audacity 
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_route.c:947:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:947:(find_matching_chmap) Found no matching channel map
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4608
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4608
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4608
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4608
[xcb] Unknown request in queue while dequeuing
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
Audacity: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
audacity: xcb_io.c:179: dequeue_pending_request: Assertion `!xcb_xlib_unknown_req_in_deq' failed.
Aborted (core dumped)

Version-Release number of selected component (if applicable):
audacity 2.1.1-1.fc21


How reproducible: Often (always?)


Steps to Reproduce:
1. Open Audacity
2. Select the record button

Actual results:
Audacity freezes for a moment and then crashes.

Expected results:
Audacity behaves itself and records!

Additional info:
While trying to make a recording I did make it work.  When I tried to record again it crashed.  Now I can't made it record at all.
Comment 1 Eric Christensen 2015-08-07 16:45:43 EDT
Downgrading to version 2.0.6-1.fc21 seems to have fixed the problem.
Comment 2 David Timms 2015-08-07 23:48:14 EDT
Thanks for the report. Did you have a pre-existing audacity install ?

What audio IO is selected in each version ?
[Alsa, pulse, pulse] works for me.

Maybe an audio subsystem restart was needed after the first issue (/reboot) ?
If you are willing to try again under gdb with debuginfo installed).

Could you try 2.1.0 version to see if that is OK ?
[http://koji.fedoraproject.org/koji/buildinfo?buildID=625393]

Assuming you are on x86_64 ?
Comment 3 Eric Christensen 2015-08-14 23:02:34 EDT
(In reply to David Timms from comment #2)
> Thanks for the report. Did you have a pre-existing audacity install ?

Yes.

> What audio IO is selected in each version ?
> [Alsa, pulse, pulse] works for me.


> Maybe an audio subsystem restart was needed after the first issue (/reboot) ?
> If you are willing to try again under gdb with debuginfo installed).

Rebooting didn't seem to help.  I'll have to try to debug next week as I'm already late in getting this week's recording out the door.  :(

> Could you try 2.1.0 version to see if that is OK ?
> [http://koji.fedoraproject.org/koji/buildinfo?buildID=625393]

I'll try this next week.

> Assuming you are on x86_64 ?

Yes
Comment 4 Fedora End Of Life 2015-11-04 10:24:48 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora Update System 2015-11-21 07:17:21 EST
audacity-2.1.2-0.7.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-51664dda77
Comment 6 Fedora End Of Life 2015-12-02 09:50:38 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Fedora Update System 2015-12-04 05:59:23 EST
audacity-2.1.2-0.7.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4320723725
Comment 8 Fedora Update System 2015-12-04 12:20:25 EST
audacity-2.1.2-0.7.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update audacity'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4320723725
Comment 9 David Timms 2015-12-05 00:25:31 EST
I'm going to mark as duplicate since Richard has been able to capture a backtrace with a similar record trigger, that appears to be crashing in the same function.
Would be good to know if this is already fixed in upstream Audacity which is nearing release 2.1.2rc1, if you have the time ?

*** This bug has been marked as a duplicate of bug 1288349 ***
Comment 10 Fedora Update System 2015-12-18 04:58:45 EST
audacity-2.1.2-0.7.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-12-22 17:07:19 EST
audacity-2.1.2-0.7.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.